Bug 157407 - Installer creates sdx devices in different order than post-install boot
Installer creates sdx devices in different order than post-install boot
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-05-11 08:54 EDT by Jon Davidson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 17:14:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jon Davidson 2005-05-11 08:54:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
When anaconda partitions/installs.. it has my hard drive listed as /dev/sdc.  upon first boot, my hard drive is back to it's normal sda (which then throws inittab off - since it is written during the install - it still points to /dev/sdc).  I have an internal USB2 multi-card reader than functions as two seperate drives.  I noticed that the boot cd loaded the usb storage module first thing (in fc3 - it was one of the last to get loaded).  This could probably be fixed by delaying the loading of the usb storage driver until after serial ata devices are created.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. build a computer with serial ata and usb2 multi-card reader
2. installer fedora core 4 test 3
3. reboot

Actual Results:  my mount points upon first real boot were different than the config files written.

Expected Results:  mount points should map to the correct devices.

Additional info:
Comment 1 Jeremy Katz 2005-05-11 10:34:30 EDT
usb-storage should get loaded and then get unloaded (so that we can use it for
driver disks if needed).  Can you provide /var/log/anaconda* from your system?
Comment 2 Jeremy Katz 2005-09-21 17:14:15 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received the feedback we
requested, we will assume the problem was not reproduceable or has been fixed in
a later update for this product.  If you have further details, feel free to
reopen the report with the additional details attached.

Note You need to log in before you can comment on or make changes to this bug.